// Definicije metoda uz klasu Niz.

#include "niz3.h"
#include "niter.h"

void Niz::kopiraj(const Zbirka& z) {           // Kopiranje u niz.
  const Niz& n = dynamic_cast<const Niz&>(z);
  niz = new Figura* [kap = n.kap];
  duz = n.duz;
  for (int i=0; i<duz; i++) niz[i] = n.niz[i]->kopija();
}

Niz& Niz::operator+=(Figura* fig) {            // Dodavanje figure.
  if (duz == kap) {
     Figura** pom = new Figura* [kap += (kap<100) ? 10 : kap/10];
     for (int i=0; i<duz; i++) pom[i] = niz[i];
     delete [] niz;  niz = pom;
  }
  niz[duz++] = fig;
  return *this;
}

Niz& Niz::operator~() {                        // Praznjenje niza.
  for (int i=0; i<duz; delete niz[i++]);
  duz = 0;
  return *this;
}

Iter* Niz::iter()                              // Stvaranje iteratora.
  { return new N_iter(this); }
const Iter* Niz::iter() const
  { return new N_iter(this); }
